commit:     729f217aa5dc17e55c7543b09a153b9a2b8a50a0
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 22 05:40:48 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Feb 22 05:40:48 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=729f217a

dev-util/debootstrap: Mention the Debian and Ubuntu keyring packages (bug 
#387565)

Package-Manager: portage-2.2.27

 dev-util/debootstrap/debootstrap-1.0.78-r1.ebuild | 52 +++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/dev-util/debootstrap/debootstrap-1.0.78-r1.ebuild 
b/dev-util/debootstrap/debootstrap-1.0.78-r1.ebuild
new file mode 100644
index 0000000..1ea5e16
--- /dev/null
+++ b/dev-util/debootstrap/debootstrap-1.0.78-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils
+
+DESCRIPTION="Debian/Ubuntu bootstrap scripts"
+HOMEPAGE="http://packages.qa.debian.org/d/debootstrap.html";
+SRC_URI="mirror://debian/pool/main/d/${PN}/${PN}_${PV}.tar.gz
+       mirror://gentoo/devices.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       app-arch/dpkg
+       net-misc/wget
+       sys-devel/binutils
+"
+
+DOCS=( TODO debian/changelog )
+
+S=${WORKDIR}/${PN}
+
+src_unpack() {
+       unpack ${PN}_${PV}.tar.gz
+       cp "${DISTDIR}"/devices.tar.gz "${S}"
+}
+
+src_compile() {
+       return
+}
+
+src_install() {
+       default
+       doman debootstrap.8
+}
+
+pkg_postinst() {
+       if ! has_version ${CATEGORY}/${PN} && ! has_version app-crypt/gnupg; 
then
+               elog "To check Release files against a keyring (--keyring=K), 
please"
+               elog "install app-crypt/gnupg"
+       fi
+
+       if ! has_version app-crypt/debian-archive-keyring || ! has_version 
app-crypt/ubuntu-keyring; then
+               elog "To check Release files from Debian or Ubuntu, please 
install"
+               elog " app-crypt/debian-archive-keyring or"
+               elog " app-crypt/ubuntu-keyring as required"
+       fi
+}

Reply via email to